<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>org.apache.poi.ss.usermodel (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.apache.poi.ss.usermodel (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/udf/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/charts/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h1 title="Package" class="title">Package&nbsp;org.apache.poi.ss.usermodel</h1>
</div>
<div class="contentContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Interface Summary table, listing interfaces, and an explanation">
                <caption><span>Interface Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Interface</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/AutoFilter.html"
                                            title="interface in org.apache.poi.ss.usermodel">AutoFilter</a></td>
                    <td class="colLast">
                        <div class="block">Represents autofiltering for the specified worksheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/BorderFormatting.html"
                                            title="interface in org.apache.poi.ss.usermodel">BorderFormatting</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for Border Formatting component
                            of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                                            title="interface in org.apache.poi.ss.usermodel">Cell</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of a cell in a row of a spreadsheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/CellRange.html"
                                            title="interface in org.apache.poi.ss.usermodel">CellRange</a>&lt;C extends
                        <a href="../../../../../org/apache/poi/ss/usermodel/Cell.html"
                           title="interface in org.apache.poi.ss.usermodel">Cell</a>&gt;
                    </td>
                    <td class="colLast">
                        <div class="block">Represents a rectangular region of a <a
                                href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                title="interface in org.apache.poi.ss.usermodel"><code>Sheet</code></a></div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/CellStyle.html"
                                            title="interface in org.apache.poi.ss.usermodel">CellStyle</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Chart.html"
                                            title="interface in org.apache.poi.ss.usermodel">Chart</a></td>
                    <td class="colLast">Deprecated&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ChildAnchor.html"
                                            title="interface in org.apache.poi.ss.usermodel">ChildAnchor</a></td>
                    <td class="colLast">
                        <div class="block">Common interface for anchors.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.html"
                                            title="interface in org.apache.poi.ss.usermodel">ClientAnchor</a></td>
                    <td class="colLast">
                        <div class="block">A client anchor is attached to an excel worksheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Color.html"
                                            title="interface in org.apache.poi.ss.usermodel">Color</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ColorScaleFormatting.html"
                                            title="interface in org.apache.poi.ss.usermodel">ColorScaleFormatting</a>
                    </td>
                    <td class="colLast">
                        <div class="block">High level representation for the Color Scale / Colour Scale /
                            Color Gradient Formatting component of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Comment.html"
                                            title="interface in org.apache.poi.ss.usermodel">Comment</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormatting.html"
                                            title="interface in org.apache.poi.ss.usermodel">ConditionalFormatting</a>
                    </td>
                    <td class="colLast">
                        <div class="block">The ConditionalFormatting class encapsulates all settings of Conditional
                            Formatting.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingRule.html"
                            title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingRule</a></td>
                    <td class="colLast">
                        <div class="block">Represents a description of a conditional formatting rule</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.html"
                            title="interface in org.apache.poi.ss.usermodel">ConditionalFormattingThreshold</a></td>
                    <td class="colLast">
                        <div class="block">The Threshold / CFVO / Conditional Formatting Value Object.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ConditionFilterData.html"
                                            title="interface in org.apache.poi.ss.usermodel">ConditionFilterData</a>
                    </td>
                    <td class="colLast">
                        <div class="block">These values are needed by various conditional formatting evaluation filter
                            types
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/CreationHelper.html"
                                            title="interface in org.apache.poi.ss.usermodel">CreationHelper</a></td>
                    <td class="colLast">
                        <div class="block">An object that handles instantiating concrete
                            classes of the various instances one needs for
                            HSSF and XSSF.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/DataBarFormatting.html"
                                            title="interface in org.apache.poi.ss.usermodel">DataBarFormatting</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for the DataBar Formatting
                            component of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/DataFormat.html"
                                            title="interface in org.apache.poi.ss.usermodel">DataFormat</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                            title="interface in org.apache.poi.ss.usermodel">DataValidation</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                            title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html"
                                            title="interface in org.apache.poi.ss.usermodel">DataValidationHelper</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/DifferentialStyleProvider.html"
                            title="interface in org.apache.poi.ss.usermodel">DifferentialStyleProvider</a></td>
                    <td class="colLast">
                        <div class="block">Interface for classes providing differential style definitions, such as
                            conditional format rules
                            and table/pivot table styles.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Drawing.html"
                                            title="interface in org.apache.poi.ss.usermodel">Drawing</a>&lt;T extends <a
                            href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                            title="interface in org.apache.poi.ss.usermodel">Shape</a>&gt;
                    </td>
                    <td class="colLast">
                        <div class="block">High level representation of spreadsheet drawing.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Font.html"
                                            title="interface in org.apache.poi.ss.usermodel">Font</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/FontFormatting.html"
                                            title="interface in org.apache.poi.ss.usermodel">FontFormatting</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for Font Formatting component
                            of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Footer.html"
                                            title="interface in org.apache.poi.ss.usermodel">Footer</a></td>
                    <td class="colLast">
                        <div class="block">Common definition of a HSSF or XSSF page footer.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/FormulaEvaluator.html"
                                            title="interface in org.apache.poi.ss.usermodel">FormulaEvaluator</a></td>
                    <td class="colLast">
                        <div class="block">Evaluates formula cells.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Header.html"
                                            title="interface in org.apache.poi.ss.usermodel">Header</a></td>
                    <td class="colLast">
                        <div class="block">Common definition of a HSSF or XSSF page header.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/HeaderFooter.html"
                                            title="interface in org.apache.poi.ss.usermodel">HeaderFooter</a></td>
                    <td class="colLast">
                        <div class="block">Common interface for <a
                                href="../../../../../org/apache/poi/ss/usermodel/Header.html"
                                title="interface in org.apache.poi.ss.usermodel"><code>Header</code></a> and
                            <a href="../../../../../org/apache/poi/ss/usermodel/Footer.html"
                               title="interface in org.apache.poi.ss.usermodel"><code>Footer</code></a>.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Hyperlink.html"
                                            title="interface in org.apache.poi.ss.usermodel">Hyperlink</a></td>
                    <td class="colLast">
                        <div class="block">Represents an Excel hyperlink.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.html"
                            title="interface in org.apache.poi.ss.usermodel">IconMultiStateFormatting</a></td>
                    <td class="colLast">
                        <div class="block">High level representation for the Icon / Multi-State Formatting
                            component of Conditional Formatting settings
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Name.html"
                                            title="interface in org.apache.poi.ss.usermodel">Name</a></td>
                    <td class="colLast">
                        <div class="block">Represents a defined name for a range of cells.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ObjectData.html"
                                            title="interface in org.apache.poi.ss.usermodel">ObjectData</a></td>
                    <td class="colLast">
                        <div class="block">Common interface for OLE shapes, i.e.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/PatternFormatting.html"
                                            title="interface in org.apache.poi.ss.usermodel">PatternFormatting</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Picture.html"
                                            title="interface in org.apache.poi.ss.usermodel">Picture</a></td>
                    <td class="colLast">
                        <div class="block">Repersents a picture in a SpreadsheetML document</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/PictureData.html"
                                            title="interface in org.apache.poi.ss.usermodel">PictureData</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/PrintSetup.html"
                                            title="interface in org.apache.poi.ss.usermodel">PrintSetup</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/RichTextString.html"
                                            title="interface in org.apache.poi.ss.usermodel">RichTextString</a></td>
                    <td class="colLast">
                        <div class="block">Rich text unicode string.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Row.html"
                                            title="interface in org.apache.poi.ss.usermodel">Row</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of a row of a spreadsheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                            title="interface in org.apache.poi.ss.usermodel">Shape</a></td>
                    <td class="colLast">
                        <div class="block">Common interface for all drawing shapes</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ShapeContainer.html"
                                            title="interface in org.apache.poi.ss.usermodel">ShapeContainer</a>&lt;T
                        extends <a href="../../../../../org/apache/poi/ss/usermodel/Shape.html"
                                   title="interface in org.apache.poi.ss.usermodel">Shape</a>&gt;
                    </td>
                    <td class="colLast">
                        <div class="block">A common interface for shape groups.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Sheet.html"
                                            title="interface in org.apache.poi.ss.usermodel">Sheet</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of a Excel worksheet.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/SheetConditionalFormatting.html"
                            title="interface in org.apache.poi.ss.usermodel">SheetConditionalFormatting</a></td>
                    <td class="colLast">
                        <div class="block">The 'Conditional Formatting' facet of <tt>Sheet</tt></div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/SimpleShape.html"
                                            title="interface in org.apache.poi.ss.usermodel">SimpleShape</a></td>
                    <td class="colLast">
                        <div class="block">A common interface for simple shapes.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Table.html"
                                            title="interface in org.apache.poi.ss.usermodel">Table</a></td>
                    <td class="colLast">
                        <div class="block">XSSF Only!
                            High level abstraction of table in a workbook.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/TableStyle.html"
                                            title="interface in org.apache.poi.ss.usermodel">TableStyle</a></td>
                    <td class="colLast">
                        <div class="block">Data table style definition.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/TableStyleInfo.html"
                                            title="interface in org.apache.poi.ss.usermodel">TableStyleInfo</a></td>
                    <td class="colLast">
                        <div class="block">style information for a specific table instance, referencing the document
                            style
                            and indicating which optional portions of the style to apply.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Workbook.html"
                                            title="interface in org.apache.poi.ss.usermodel">Workbook</a></td>
                    <td class="colLast">
                        <div class="block">High level representation of a Excel workbook.</div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Class Summary table, listing classes, and an explanation">
                <caption><span>Class Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Class</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/BuiltinFormats.html"
                                            title="class in org.apache.poi.ss.usermodel">BuiltinFormats</a></td>
                    <td class="colLast">
                        <div class="block">Utility to identify built-in formats.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.html"
                                            title="class in org.apache.poi.ss.usermodel">CellCopyPolicy</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/CellCopyPolicy.Builder.html"
                            title="class in org.apache.poi.ss.usermodel">CellCopyPolicy.Builder</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/CellValue.html"
                                            title="class in org.apache.poi.ss.usermodel">CellValue</a></td>
                    <td class="colLast">
                        <div class="block">Mimics the 'data view' of a cell.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ComparisonOperator.html"
                                            title="class in org.apache.poi.ss.usermodel">ComparisonOperator</a></td>
                    <td class="colLast">
                        <div class="block">The conditional format operators used for "Highlight Cells That Contain..."
                            rules.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ConditionType.html"
                                            title="class in org.apache.poi.ss.usermodel">ConditionType</a></td>
                    <td class="colLast">
                        <div class="block">Represents a type of a conditional formatting rule</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/DataFormatter.html"
                                            title="class in org.apache.poi.ss.usermodel">DataFormatter</a></td>
                    <td class="colLast">
                        <div class="block">DataFormatter contains methods for formatting the value stored in an
                            Cell.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/DataValidation.ErrorStyle.html"
                            title="class in org.apache.poi.ss.usermodel">DataValidation.ErrorStyle</a></td>
                    <td class="colLast">
                        <div class="block">Error style constants for error box</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.OperatorType.html"
                            title="class in org.apache.poi.ss.usermodel">DataValidationConstraint.OperatorType</a></td>
                    <td class="colLast">
                        <div class="block">Condition operator enum</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.ValidationType.html"
                            title="class in org.apache.poi.ss.usermodel">DataValidationConstraint.ValidationType</a>
                    </td>
                    <td class="colLast">
                        <div class="block">ValidationType enum</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/DateUtil.html"
                                            title="class in org.apache.poi.ss.usermodel">DateUtil</a></td>
                    <td class="colLast">
                        <div class="block">Contains methods for dealing with Excel dates.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/ExcelGeneralNumberFormat.html"
                            title="class in org.apache.poi.ss.usermodel">ExcelGeneralNumberFormat</a></td>
                    <td class="colLast">
                        <div class="block">A format that formats a double as Excel would, ignoring FieldPosition.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ExcelNumberFormat.html"
                                            title="class in org.apache.poi.ss.usermodel">ExcelNumberFormat</a></td>
                    <td class="colLast">
                        <div class="block">Object to hold a number format index and string, for various formatting
                            evaluations
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/ExcelStyleDateFormatter.html"
                            title="class in org.apache.poi.ss.usermodel">ExcelStyleDateFormatter</a></td>
                    <td class="colLast">
                        <div class="block">A wrapper around a <code>SimpleDateFormat</code> instance,
                            which handles a few Excel-style extensions that
                            are not supported by <code>SimpleDateFormat</code>.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ExtendedColor.html"
                                            title="class in org.apache.poi.ss.usermodel">ExtendedColor</a></td>
                    <td class="colLast">
                        <div class="block">Represents a XSSF-style color (based on either a
                            <a href="../../../../../org/apache/poi/xssf/usermodel/XSSFColor.html"
                               title="class in org.apache.poi.xssf.usermodel"><code>XSSFColor</code></a> or a
                            <a href="../../../../../org/apache/poi/hssf/record/common/ExtendedColor.html"
                               title="class in org.apache.poi.hssf.record.common"><code>ExtendedColor</code></a></div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/FractionFormat.html"
                                            title="class in org.apache.poi.ss.usermodel">FractionFormat</a></td>
                    <td class="colLast">
                        <div class="block">Format class that handles Excel style fractions, such as "# #/#" and
                            "#/###"
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/RangeCopier.html"
                                            title="class in org.apache.poi.ss.usermodel">RangeCopier</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ShapeTypes.html"
                                            title="class in org.apache.poi.ss.usermodel">ShapeTypes</a></td>
                    <td class="colLast">
                        <div class="block">All known types of automatic shapes in DrawingML</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/WorkbookFactory.html"
                                            title="class in org.apache.poi.ss.usermodel">WorkbookFactory</a></td>
                    <td class="colLast">
                        <div class="block">Factory for creating the appropriate kind of Workbook
                            (be it <a href="../../../../../org/apache/poi/hssf/usermodel/HSSFWorkbook.html"
                                      title="class in org.apache.poi.hssf.usermodel"><code>HSSFWorkbook</code></a> or
                            XSSFWorkbook),
                            by auto-detecting from the supplied input.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <table class="typeSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Enum Summary table, listing enums, and an explanation">
                <caption><span>Enum Summary</span><span class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Enum</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/BorderExtent.html"
                                            title="enum in org.apache.poi.ss.usermodel">BorderExtent</a></td>
                    <td class="colLast">
                        <div class="block">The enumeration value indicating which borders to draw in a Property
                            Template
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/BorderStyle.html"
                                            title="enum in org.apache.poi.ss.usermodel">BorderStyle</a></td>
                    <td class="colLast">
                        <div class="block">The enumeration value indicating the line style of a border in a cell,
                            i.e., whether it is bordered dash dot, dash dot dot, dashed, dotted, double, hair, medium,
                            medium dash dot, medium dash dot dot, medium dashed, none, slant dash dot, thick or thin.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/CellType.html"
                                            title="enum in org.apache.poi.ss.usermodel">CellType</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/ClientAnchor.AnchorType.html"
                            title="enum in org.apache.poi.ss.usermodel">ClientAnchor.AnchorType</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/ConditionalFormattingThreshold.RangeType.html"
                            title="enum in org.apache.poi.ss.usermodel">ConditionalFormattingThreshold.RangeType</a>
                    </td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ConditionFilterType.html"
                                            title="enum in org.apache.poi.ss.usermodel">ConditionFilterType</a></td>
                    <td class="colLast">
                        <div class="block">Used primarily for XSSF conditions, which defines a multitude of additional
                            "filter" types
                            for conditional formatting.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/DataConsolidateFunction.html"
                            title="enum in org.apache.poi.ss.usermodel">DataConsolidateFunction</a></td>
                    <td class="colLast">
                        <div class="block">Enum mapping the values of STDataConsolidateFunction</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/FillPatternType.html"
                                            title="enum in org.apache.poi.ss.usermodel">FillPatternType</a></td>
                    <td class="colLast">
                        <div class="block">The enumeration value indicating the style of fill pattern being used for a
                            cell format.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/FontCharset.html"
                                            title="enum in org.apache.poi.ss.usermodel">FontCharset</a></td>
                    <td class="colLast">Deprecated
                        <div class="block"><span class="deprecationComment">enum will be replaced by common version org.apache.poi.common.usermodel.FontCharset</span>
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/FontFamily.html"
                                            title="enum in org.apache.poi.ss.usermodel">FontFamily</a></td>
                    <td class="colLast">
                        <div class="block">The font family this font belongs to.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/FontScheme.html"
                                            title="enum in org.apache.poi.ss.usermodel">FontScheme</a></td>
                    <td class="colLast">
                        <div class="block">Defines the font scheme to which this font belongs.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/FontUnderline.html"
                                            title="enum in org.apache.poi.ss.usermodel">FontUnderline</a></td>
                    <td class="colLast">
                        <div class="block">the different types of possible underline formatting</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/FormulaError.html"
                                            title="enum in org.apache.poi.ss.usermodel">FormulaError</a></td>
                    <td class="colLast">
                        <div class="block">Enumerates error values in SpreadsheetML formula calculations.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/HorizontalAlignment.html"
                                            title="enum in org.apache.poi.ss.usermodel">HorizontalAlignment</a></td>
                    <td class="colLast">
                        <div class="block">The enumeration value indicating horizontal alignment of a cell,
                            i.e., whether it is aligned general, left, right, horizontally centered, filled
                            (replicated),
                            justified, centered across multiple cells, or distributed.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a
                            href="../../../../../org/apache/poi/ss/usermodel/IconMultiStateFormatting.IconSet.html"
                            title="enum in org.apache.poi.ss.usermodel">IconMultiStateFormatting.IconSet</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/IgnoredErrorType.html"
                                            title="enum in org.apache.poi.ss.usermodel">IgnoredErrorType</a></td>
                    <td class="colLast">
                        <div class="block">Types of ignored workbook and worksheet error.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/IndexedColors.html"
                                            title="enum in org.apache.poi.ss.usermodel">IndexedColors</a></td>
                    <td class="colLast">
                        <div class="block">A deprecated indexing scheme for colours that is still required for some
                            records, and for backwards
                            compatibility with OLE2 formats.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/PageOrder.html"
                                            title="enum in org.apache.poi.ss.usermodel">PageOrder</a></td>
                    <td class="colLast">
                        <div class="block">Specifies printed page order.</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/PaperSize.html"
                                            title="enum in org.apache.poi.ss.usermodel">PaperSize</a></td>
                    <td class="colLast">
                        <div class="block">The enumeration value indicating the possible paper size for a sheet</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/PrintCellComments.html"
                                            title="enum in org.apache.poi.ss.usermodel">PrintCellComments</a></td>
                    <td class="colLast">
                        <div class="block">These enumerations specify how cell comments shall be displayed for paper
                            printing purposes.
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/PrintOrientation.html"
                                            title="enum in org.apache.poi.ss.usermodel">PrintOrientation</a></td>
                    <td class="colLast">
                        <div class="block">The enumeration value indicating the print orientation for a sheet.</div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/ReadingOrder.html"
                                            title="enum in org.apache.poi.ss.usermodel">ReadingOrder</a></td>
                    <td class="colLast">
                        <div class="block">The enumeration value indicating reading order of a cell,
                            i.e., whether the reading order is Context(Default), Left To Right or Right To Left
                        </div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/Row.MissingCellPolicy.html"
                                            title="enum in org.apache.poi.ss.usermodel">Row.MissingCellPolicy</a></td>
                    <td class="colLast">
                        <div class="block">Used to specify the different possible policies
                            if for the case of null and blank cells
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/SheetVisibility.html"
                                            title="enum in org.apache.poi.ss.usermodel">SheetVisibility</a></td>
                    <td class="colLast">
                        <div class="block">Specifies sheet visibility</div>
                    </td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/TableStyleType.html"
                                            title="enum in org.apache.poi.ss.usermodel">TableStyleType</a></td>
                    <td class="colLast">
                        <div class="block">Ordered list of table style elements, for both data tables and pivot
                            tables.
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="../../../../../org/apache/poi/ss/usermodel/VerticalAlignment.html"
                                            title="enum in org.apache.poi.ss.usermodel">VerticalAlignment</a></td>
                    <td class="colLast">
                        <div class="block">This enumeration value indicates the type of vertical alignment for a cell,
                            i.e.,
                            whether it is aligned top, bottom, vertically centered, justified or distributed.
                        </div>
                    </td>
                </tr>
                </tbody>
            </table>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li class="navBarCell1Rev">Package</li>
        <li>Class</li>
        <li><a href="package-use.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/ss/formula/udf/package-summary.html">Prev&nbsp;Package</a></li>
        <li><a href="../../../../../org/apache/poi/ss/usermodel/charts/package-summary.html">Next&nbsp;Package</a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/ss/usermodel/package-summary.html"
               target="_top">Frames</a></li>
        <li><a href="package-summary.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
